%define ver %{?minor_version:.%{minor_version}}
%define tarball_suffix %{?minor_version:-%{minor_version}}
%define rel %{?snapshot:.%{snapshot}}
%define build_number 2

Name:		ubuntu-tweak
Version:	0.4.3
Release:	%{?snapshot:0.}%{build_number}%{?ver}%{?rel}%{?dist}
Summary:	A tweak software for ubuntu

Group:		System Environment/Base
License:	GPLv2
URL:		http://code.google.com/p/ubuntu-tweak
Source0:	http://ubuntu-tweak.googlecode.com/files/%{name}_%{version}.orig.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	gtk2-devel pygtk2-devel gnome-python2-devel
BuildRequires:	desktop-file-utils
Requires:	%{name}-data = %{version}

%description
Ubuntu-tweak is a tweak software for ubuntu.

It can be used for Fedora desktop too, most function still work fine.

%package data
Group:		System Environment/Base
Summary:	Various data for ubuntu-tweak

%description data
Ubuntu-tweak is a tweak software for ubuntu.

This is the separated data package for ubuntu-tweak.


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}
desktop-file-install --vendor fedora --delete-original \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop



%post
update-desktop-database %{_datadir}/applications &>/dev/null || :


%postun
update-desktop-database %{_datadir}/applications &>/dev/null || :


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_sbindir}/ubuntu-tweak-dbus
%{_bindir}/ubuntu-tweak
%{_bindir}/script-worker
%{_sysconfdir}/dbus-1/system.d/com.ubuntu-tweak.Mechanism.conf
%{_datadir}/dbus-1/system-services/com.ubuntu_tweak.Mechanism.service
%{_datadir}/PolicyKit/policy/com.ubuntu-tweak.mechanism.policy
%{_datadir}/ubuntu-tweak/common
%{_datadir}/ubuntu-tweak/*.py*
%{_datadir}/applications/ubuntu-tweak.desktop
%{_datadir}/pixmaps/ubuntu-tweak.png

%files data
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_datadir}/ubuntu-tweak/data
%{_datadir}/ubuntu-tweak/data/scripts
%{_datadir}/ubuntu-tweak/data/pixmaps
%{_datadir}/ubuntu-tweak/data/appcates
%{_datadir}/ubuntu-tweak/data/templates
%{_datadir}/ubuntu-tweak/data/aptkeys
%{_datadir}/ubuntu-tweak/data/applogos
%{_datadir}/ubuntu-tweak/data/tweaks.xml

%changelog
* Fri Nov 28 2008 bbbush <bbbush.yuan@gmail.com> - 0.4.3-2
- update desktop file database

* Fri Nov 28 2008 bbbush <bbbush.yuan@gmail.com> - 0.4.3-1
- initial import


